Requirements - Intergraph Smart Interop Publisher - 15.1 - Installation & Upgrade - Hexagon PPM

Intergraph Smart Interop Publisher Web API Install Guide

PPMProduct
Intergraph Smart Interop Publisher
PPMCategory_custom
Installation & Upgrade
Version_SPIOP
15.1

Before you install, verify that your server and client computers meet the following hardware and software recommendations. These recommendations include the minimum requirements for hardware setup. Please contact your services implementation team for specific hardware recommendations for your project.

These recommendations include the minimum requirements for hardware setup. Please contact your services team for specific hardware recommendations for your project.

Hardware recommendations

  • Intel® Core i7 processor or equivalent

  • 4 core high-end server processor

  • 8 GB RAM

  • 500 MB free disk space for software installation

  • DVD drive access, either locally or through a network connection for installation

  • 100 BaseT or higher network interface

Software prerequisites

  • Intergraph Smart API Manager version 2018 or later

  • Intergraph Smart® Licensing Client

  • Microsoft® .NET Framework 4.7.2

  • Redis

  • Erlang OTP version 22.0 or later

  • RabbitMQ version 3.7.16 or later

Supported operating system

  • Microsoft Windows Server 2019

  • Microsoft Windows Server 2016 (64-bit)

  • Microsoft Windows 10 (ver. 1803 or later) Professional and Enterprise Client (64-bit)

  • Microsoft Windows Server 2016, Standard or Enterprise Edition

The Internet Information Service (IIS) Manager must be enabled and configured.